For the complete documentation index, see llms.txt. This page is also available as Markdown.

Payouts

Payouts

get
/v1/payouts

Retrieve a list of Payouts with optional filtering and pagination.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
afterstringOptional

When provided, specifies the last item returned in previous page, used to fetch the next page. Fetches the first page when omitted.

limitstring · integerOptional

When provided, specifies the number of items to return in the page. Uses default page size of 10 when omitted.

payoutIdstring · uuidOptional

Filter by transfer ID

beneficiaryIdstring · uuidOptional

Filter by destination customer ID

beneficiaryCurrencystringOptional

Filter by beneficiary currency

Example: USDC
sourceCurrencystringOptional

Filter by source currency

Example: USD
statusstring · enumOptional

Filter by status

Possible values:
requestedAtstring · date-timeOptional

Filter by request date lower bound, exclusive

Responses
200

Successful response

application/json
afterstring · nullableOptional

The token of the last item in the response

Example: 9fe51492-fc0f-483c-ab85-391e4a3a4335
totalCountstring · integerOptional

The total number of items in the entire filtered data set

Example: 1
get/v1/payouts
GET /api/v1/payouts HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "after": "9fe51492-fc0f-483c-ab85-391e4a3a4335",
  "totalCount": "1",
  "items": [
    {
      "payoutId": "a645bd39-41a7-4a13-8c0a-ff38571ddeda",
      "beneficiaryAddressId": "39b83120-a80f-4bd9-8469-7d5bcaa055af",
      "beneficiaryId": "bf22f3c9-c5f6-4815-a6a6-9b999612b713",
      "sourceAccountId": "635b8c14-c6a9-4838-b9a1-bc7ddc29a086",
      "sourceQuantity": "3.6725",
      "beneficiaryQuantity": "3.6725",
      "payoutFeeQuantity": "3.6725",
      "netBeneficiaryQuantity": "3.6725",
      "sourceCurrency": "USD",
      "feeCurrency": "USD",
      "beneficiaryCurrency": "USDT",
      "memo": "text",
      "feePaidBy": "MERCHANT",
      "status": "PROCESSING",
      "payoutFeeRate": "1",
      "clientReference": "REF-123-E",
      "conversionRate": "1",
      "paymentReason": "Affiliate payout",
      "requestedAt": "2026-02-19T18:44:05Z",
      "expiresAt": "2026-02-19T18:44:05Z",
      "authorizedAt": "2026-02-19T18:44:05Z"
    }
  ]
}

Get payout

get
/v1/payouts/{payoutId}

Retrieve a payout by its ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
payoutIdstring · uuidRequired

The payout ID

Example: faf8e68c-2cd5-43a6-b8e1-112535b7de00
Responses
200

Successful response

application/json
payoutIdstring · uuidRequiredExample: a645bd39-41a7-4a13-8c0a-ff38571ddeda
beneficiaryAddressIdstring · uuidRequiredExample: 39b83120-a80f-4bd9-8469-7d5bcaa055af
beneficiaryIdstring · uuidOptionalExample: bf22f3c9-c5f6-4815-a6a6-9b999612b713
sourceAccountIdstring · uuidRequiredExample: 635b8c14-c6a9-4838-b9a1-bc7ddc29a086
sourceQuantitystring · numberRequiredExample: 3.6725
beneficiaryQuantitystring · numberRequiredExample: 3.6725
payoutFeeQuantitystring · numberRequiredExample: 3.6725
netBeneficiaryQuantitystring · numberRequiredExample: 3.6725
sourceCurrencystringRequiredExample: USD
feeCurrencystringRequiredExample: USD
beneficiaryCurrencystringRequiredExample: USDT
memostring · nullableRequired
feePaidBystring · enumRequiredPossible values:
statusstringRequiredExample: PROCESSING
payoutFeeRatestring · numberRequiredExample: 1
clientReferencestring · nullableOptional

An optional freeform text field that clients can use to add additional notes or references to their order for internal tracking purposes.

Example: REF-123-E
conversionRatestring · numberRequiredExample: 1
paymentReasonstringRequiredExample: Affiliate payout
requestedAtstring · date-timeRequiredExample: 2026-02-19T18:44:05Z
expiresAtstring · date-timeRequiredExample: 2026-02-19T18:44:05Z
authorizedAtstring · date-timeOptionalExample: 2026-02-19T18:44:05Z
get/v1/payouts/{payoutId}
GET /api/v1/payouts/{payoutId} HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "payoutId": "a645bd39-41a7-4a13-8c0a-ff38571ddeda",
  "beneficiaryAddressId": "39b83120-a80f-4bd9-8469-7d5bcaa055af",
  "beneficiaryId": "bf22f3c9-c5f6-4815-a6a6-9b999612b713",
  "sourceAccountId": "635b8c14-c6a9-4838-b9a1-bc7ddc29a086",
  "sourceQuantity": "3.6725",
  "beneficiaryQuantity": "3.6725",
  "payoutFeeQuantity": "3.6725",
  "netBeneficiaryQuantity": "3.6725",
  "sourceCurrency": "USD",
  "feeCurrency": "USD",
  "beneficiaryCurrency": "USDT",
  "memo": "text",
  "feePaidBy": "MERCHANT",
  "status": "PROCESSING",
  "payoutFeeRate": "1",
  "clientReference": "REF-123-E",
  "conversionRate": "1",
  "paymentReason": "Affiliate payout",
  "requestedAt": "2026-02-19T18:44:05Z",
  "expiresAt": "2026-02-19T18:44:05Z",
  "authorizedAt": "2026-02-19T18:44:05Z"
}

Create Payout

post
/v1/payouts

Request a payout for an specified account

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-Request-IdstringOptional

A client-supplied unique identifier for this request, used for safely retrying and deduplicating operations. When the same X-Request-Id is sent with multiple identical requests within a defined time window, the server treats them as the same logical operation and will not perform the side effect more than once. Instead, it will return the original result associated with that identifier, if available. The client should generate a collision-resistant value (for example, a UUID) and reuse it only when retrying the same operation.

Body
sourceAccountIdstring · max: 256RequiredExample: a645bd39-41a7-4a13-8c0a-ff38571ddeda
beneficiaryAddressIdstring · max: 256Required

Previously whitelisted cryptoAddressId on the following API https://docs.aquanow.io/cams/api-reference/customers/crypto-addresses

Example: a645bd39-41a7-4a13-8c0a-ff38571ddeda
beneficiaryIdstring · uuidRequiredExample: bf22f3c9-c5f6-4815-a6a6-9b999612b713
sourceQuantitystring · numberRequiredExample: 3.6725
sourceCurrencystringRequiredExample: USD
beneficiaryCurrencystringRequiredExample: USDT
paymentReasonstringRequired

Payment Reason

Example: Affiliate payout
feePaidBystring · enumRequiredPossible values:
clientReferencestringOptional

An optional freeform text field that clients can use to add additional notes or references to their order for internal tracking purposes.

Example: REF-123-YIC
Responses
200

Successful response

application/json
post/v1/payouts
POST /api/v1/payouts HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 343

{
  "sourceAccountId": "a645bd39-41a7-4a13-8c0a-ff38571ddeda",
  "beneficiaryAddressId": "a645bd39-41a7-4a13-8c0a-ff38571ddeda",
  "beneficiaryId": "bf22f3c9-c5f6-4815-a6a6-9b999612b713",
  "sourceQuantity": "3.6725",
  "sourceCurrency": "USD",
  "beneficiaryCurrency": "USDT",
  "paymentReason": "Affiliate payout",
  "feePaidBy": "MERCHANT",
  "clientReference": "REF-123-YIC"
}
{
  "payoutId": "a645bd39-41a7-4a13-8c0a-ff38571ddeda",
  "beneficiaryAddressId": "39b83120-a80f-4bd9-8469-7d5bcaa055af",
  "beneficiaryId": "bf22f3c9-c5f6-4815-a6a6-9b999612b713",
  "sourceAccountId": "635b8c14-c6a9-4838-b9a1-bc7ddc29a086",
  "sourceQuantity": "3.6725",
  "beneficiaryQuantity": "3.6725",
  "netBeneficiaryQuantity": "3.6725",
  "payoutFeeQuantity": "3.6725",
  "sourceCurrency": "USD",
  "feeCurrency": "USD",
  "payoutFeeType": "FIXED",
  "beneficiaryCurrency": "USDT",
  "memo": "text",
  "feePaidBy": "MERCHANT",
  "status": "PENDING_AUTHORIZATION",
  "payoutFeeRate": "1",
  "clientReference": "REF-123-E",
  "conversionRate": "1",
  "paymentReason": "Affiliate payout",
  "requestedAt": "2026-02-19T18:44:05Z",
  "expiresAt": "2026-02-19T18:44:05Z"
}

Authorize a previously created payout

patch
/v1/payouts/authorize

For a payout to be accepted, the account must have sufficient buying power.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
X-Request-IdstringOptional

A client-supplied unique identifier for this request, used for safely retrying and deduplicating operations. When the same X-Request-Id is sent with multiple identical requests within a defined time window, the server treats them as the same logical operation and will not perform the side effect more than once. Instead, it will return the original result associated with that identifier, if available. The client should generate a collision-resistant value (for example, a UUID) and reuse it only when retrying the same operation.

Body

Execute a previously requested payout.

payoutIdstring · uuidRequired

The payoutId returned by request payout

Responses
200

Successful response

application/json
payoutIdstring · uuidRequiredExample: a645bd39-41a7-4a13-8c0a-ff38571ddeda
beneficiaryAddressIdstring · uuidRequiredExample: 39b83120-a80f-4bd9-8469-7d5bcaa055af
beneficiaryIdstring · uuidOptionalExample: bf22f3c9-c5f6-4815-a6a6-9b999612b713
sourceAccountIdstring · uuidRequiredExample: 635b8c14-c6a9-4838-b9a1-bc7ddc29a086
sourceQuantitystring · numberRequiredExample: 3.6725
beneficiaryQuantitystring · numberRequiredExample: 3.6725
payoutFeeQuantitystring · numberRequiredExample: 3.6725
netBeneficiaryQuantitystring · numberRequiredExample: 3.6725
sourceCurrencystringRequiredExample: USD
feeCurrencystringRequiredExample: USD
beneficiaryCurrencystringRequiredExample: USDT
memostring · nullableRequired
feePaidBystring · enumRequiredPossible values:
statusstringRequiredExample: PROCESSING
payoutFeeRatestring · numberRequiredExample: 1
clientReferencestring · nullableOptional

An optional freeform text field that clients can use to add additional notes or references to their order for internal tracking purposes.

Example: REF-123-E
conversionRatestring · numberRequiredExample: 1
paymentReasonstringRequiredExample: Affiliate payout
requestedAtstring · date-timeRequiredExample: 2026-02-19T18:44:05Z
expiresAtstring · date-timeRequiredExample: 2026-02-19T18:44:05Z
authorizedAtstring · date-timeOptionalExample: 2026-02-19T18:44:05Z
patch/v1/payouts/authorize
PATCH /api/v1/payouts/authorize HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 51

{
  "payoutId": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "payoutId": "a645bd39-41a7-4a13-8c0a-ff38571ddeda",
  "beneficiaryAddressId": "39b83120-a80f-4bd9-8469-7d5bcaa055af",
  "beneficiaryId": "bf22f3c9-c5f6-4815-a6a6-9b999612b713",
  "sourceAccountId": "635b8c14-c6a9-4838-b9a1-bc7ddc29a086",
  "sourceQuantity": "3.6725",
  "beneficiaryQuantity": "3.6725",
  "payoutFeeQuantity": "3.6725",
  "netBeneficiaryQuantity": "3.6725",
  "sourceCurrency": "USD",
  "feeCurrency": "USD",
  "beneficiaryCurrency": "USDT",
  "memo": "text",
  "feePaidBy": "MERCHANT",
  "status": "PROCESSING",
  "payoutFeeRate": "1",
  "clientReference": "REF-123-E",
  "conversionRate": "1",
  "paymentReason": "Affiliate payout",
  "requestedAt": "2026-02-19T18:44:05Z",
  "expiresAt": "2026-02-19T18:44:05Z",
  "authorizedAt": "2026-02-19T18:44:05Z"
}

Last updated